
header {
    width: 100%;
    padding: 5px 0;
    position: relative;
}

header#header {
    background: @gray_dark6;
    z-index: @zindex_header;
    
    vr {
        margin: calc((52px - 36px)/2) 0;
        height: 36px;
        border-color: @gray_dark3;
    }
    
    .dropdown-menu {
        font-size: 16px;
        box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.15);
        background: @white;
        border: none;
        border-radius: 2px;
            
        .dropdown-item {
            white-space: normal;
            padding: 0.25rem 1rem;
            line-height: 24px;
            
            &:hover {
                background-color: @gray_light2;
            }
        }
    }
}

#header-logo-image {
    width: 100%;
    height: 60px;
    padding: 8px 0;
}

#header-menu {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: @white;
    z-index: @zindex_header_menu;
    transition: left 0.3s;
    overflow-x: hidden;
    overflow-y: scroll;
    
    header#navbar-menu-header {
        /*position: fixed;*/
        width: 100%;
        height: 70px;
        /*line-height: 70px;*/
        /*padding: 0 calc(2rem + 45px);*/
        background: @gray_dark6;
        color: @gray_light3;
        /*font-size: 20px;*/
        /*z-index: @zindex_header;*/
    }
    
    nav#navbar-menu-container {
        position: relative;
    
        ul.navbar-nav {
            list-style-type: none;
            padding: 0;
            margin: 0;


            li.nav-item {         
                transition: background 0.1s;

                &:hover {
                    background: @red_light2;
                }

                &:hover a{
                    color: @white !important;
                    border-bottom: @red_light2;
                }

                &:hover a i.far {
                    color: @white !important;
                }

                a {
                    color: @gray_dark6;
                    padding: 1rem 0;
                    margin: 0 2rem;
                    display: block;
                }
            }
        }
    }
    &.hidden-navbar {
        left:100%;
    }
}

/*header#header, header#navbar-menu-header {
    .nav-link {
        color: @gray_light3;
        position: relative;
        outline: none;
        padding-top: 6px;
        padding-bottom: 6px;
        border:none;
        border-radius: 0;
        background: none;

        &.active {
            color: @white;
        }

        &:after {
            background: none repeat scroll 0 0 transparent;
            bottom: 0;
            content: "";
            display: block;
            height: 2px;
            left: 50%;
            position: absolute;
            background: @white;
            transition: width 0.3s ease 0s, left 0.3s ease 0s;
            width: 0;
        }

        &:hover {
            color: @white;
        }

        &:hover:after, &.active:after {
            width: 100%;
            left: 0;
        }
    }
}*/

#header-menu.hidden-navbar ~ #main, #header-menu.hidden-navbar ~ #header, #header-menu.hidden-navbar ~ #footer {
    right: 0;
}

#header-menu ~ #main, #header-menu ~ #header, #header-menu ~ #footer {
    right: calc(100% );
    transition: right 0.3s;
}
